CREATE TABLE users
(
	username VARCHAR(128) NOT NULL,
	salt VARCHAR(128) NOT NULL,
	hash VARCHAR(128) NOT NULL,
	created_by VARCHAR(128) NOT NULL DEFAULT user(),
	created_on DATETIME NOT NULL DEFAULT curdate(),
	modified_by VARCHAR(128),
	modified_on DATETIME,
	PRIMARY KEY (username)
) 
;
